> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# NGN Corp

> Registration of user



## OpenAPI

````yaml /openapi/connect.json post /merchant/transmit-kyb
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/transmit-kyb:
    post:
      tags:
        - Transmit KYB
      summary: NGN Corp
      description: Registration of user
      operationId: Checking transmit kyb with Flick
      requestBody:
        description: Registration of transmit kyb user account on Flick
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Vula'
        required: true
      responses:
        '200':
          description: Transfer Queued Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VulaResponse'
        '400':
          description: Bad Request
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: A business with this email address has been registered
      security:
        - bearerAuth: []
components:
  schemas:
    Vula:
      required:
        - companyName
        - firstName
        - lastName
        - incNumber
        - business_email
        - dated
        - business_address
        - country
        - website
        - IncCertificate
        - IncMemart
        - directors
        - shareholders
        - proofOfBizAddress
      type: object
      properties:
        companyName:
          type: string
          example: Innovex
        firstName:
          type: string
          example: userFirstName
        lastName:
          type: string
          example: userLasttName
        incNumber:
          type: string
          example: KL1370227
        business_email:
          type: string
          example: innovex@app.com
        dated:
          type: string
          example: '2023-10-20T12:09:13.166Z'
        business_address:
          type: string
          example: lekki lagos
        country:
          type: string
          example: Nigeria
        website:
          type: string
          example: https://newbank.com
        IncCertificate:
          type: string
          example: url
        IncMemart:
          type: string
          example: url
        directors:
          type: array
          items:
            type: object
            properties:
              fullName:
                type: string
                example: userFullName
              position:
                type: string
                example: HOE
              bvn:
                type: string
                example: '1122334400'
              idNumber:
                type: string
                example: '001122334'
              idType:
                type: string
                example: int’l passport/driver’s license
              idCard:
                type: string
                example: 'url '
        shareholders:
          type: array
          items:
            type: object
            properties:
              fullName:
                type: string
                example: userFullName
              percOfShare:
                type: string
                example: '100'
        proofOfBizAddress:
          type: object
          properties:
            type:
              type: string
              example: Bank Statement
            doc:
              type: string
              example: url
    VulaResponse:
      type: object
      properties:
        msg:
          type: string
          example: User created successfully, welcome undefined
        user:
          type: object
          properties:
            email:
              type: string
              example: innovex@app.com
            firstName:
              type: string
              example: userFirstName
            lastName:
              type: string
              example: userLasttName
            merchantCode:
              type: string
              example: USER_4jHUkIWaY_Y7nJJe4
            business_name:
              type: string
              example: Innovex
            incNumber:
              type: string
              example: KL1370227
            dated:
              type: string
              example: '2023-10-20T12:09:13.166Z'
            business_email:
              type: string
              example: innovex@app.com
            bizAddress:
              type: string
              example: lekki lagos
            country:
              type: string
              example: Nigeria
            website:
              type: string
              example: https://newbank.com
            isVulaUser:
              type: string
              example: 'true'
            IncCertificate:
              type: string
              example: url
            IncMemart:
              type: string
              example: url
            directors:
              type: array
              items:
                type: object
                properties:
                  fullName:
                    type: string
                    example: userFullName
                  position:
                    type: string
                    example: HOE
                  bvn:
                    type: string
                    example: '1122334400'
                  idNumber:
                    type: string
                    example: '001122334'
                  idType:
                    type: string
                    example: int’l passport/driver’s license
                  idCard:
                    type: string
                    example: 'url '
            shareholders:
              type: array
              items:
                type: object
                properties:
                  fullName:
                    type: string
                    example: userFullName
                  percOfShare:
                    type: string
                    example: '100'
            proofOfBizAddress:
              type: object
              properties:
                type:
                  type: string
                  example: Bank Statement
                doc:
                  type: string
                  example: url
            avatar:
              type: string
              example: ''
            isVerified:
              type: string
              example: 'false'
            isEmailVerified:
              type: string
              example: 'false'
            isLive:
              type: string
              example: 'false'
            userName:
              type: string
              example: userLasttName
            password:
              type: string
              example: ''
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.